SystemOrganization addCategory: #'Equipment-TIT'!

TestCase subclass: #AnalogInputTest
	instanceVariableNames: 'power'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipment-TIT'!

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: 'TurettaRanoux 4/27/2012 15:08'!
test15000ShoulReturn15000
	power := AnalogInput new.
	power pointValue: 15000.
	self assert: 15000 = power pointValue.
! !

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: 'TurettaRanoux 4/27/2012 15:15'!
test40000ShoulReturn32767
	power := AnalogInput new.
	power pointValue: 40000.
	self assert: 32767 = power pointValue.
! !

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: 'TurettaRanoux 4/27/2012 15:06'!
testDefaultValueShoulBe0
	power := AnalogInput new.
	power label: 'QPW1'.
	self assert: 0 = power pointValue.
! !

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: 'TurettaRanoux 4/27/2012 15:15'!
testmoins1ShoulReturn0
	power := AnalogInput new.
	power pointValue: -1.
	self assert: 0 = power pointValue.
! !

Object subclass: #AnalogInput
	instanceVariableNames: 'val'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipment-TIT'!

!AnalogInput methodsFor: 'accessing' stamp: 'TurettaRanoux 4/27/2012 14:48'!
label: aByteString 
! !

!AnalogInput methodsFor: 'accessing' stamp: 'TurettaRanoux 4/27/2012 16:28'!
pointValue
	^ 32767 min: (0 max: (val ifNil:[0]))! !

!AnalogInput methodsFor: 'accessing' stamp: 'TurettaRanoux 4/27/2012 16:20'!
pointValue: aSmallInteger 

val := aSmallInteger ! !
